Passer au contenu principal
PATCH
/
crm
/
v3
/
objects
/
0-3
/
{dealId}
Mettre à jour
curl --request PATCH \
  --url https://api.hubapi.com/crm/v3/objects/0-3/{dealId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  }
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Gratuit
Sales HubSales Hub -Gratuit
Service HubService Hub -Gratuit
Content HubContent Hub -Gratuit

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

dealId
string
requis
Pattern: .+

Paramètres de requête

idProperty
string

Le nom d'une propriété dont les valeurs sont uniques pour ce type d'objet

Corps

application/json

Represents the input required to create or update a CRM object, containing an object with property names and their corresponding values.

properties
object
requis

Paires clé-valeur représentant les propriétés de l'objet.

Réponse

successful operation

A simple public object.

archived
boolean
requis

Si l'objet est archivé.

createdAt
string<date-time>
requis

L'horodatage du moment où l'objet a été créé, au format ISO 8601.

id
string
requis

L'ID unique de l'objet.

properties
object
requis

Paires clé-valeur représentant les propriétés de l'objet.

updatedAt
string<date-time>
requis

L'horodatage du moment où l'objet a été mis à jour pour la dernière fois, au format ISO 8601.

archivedAt
string<date-time>

L'horodatage du moment où l'objet a été archivé, au format ISO 8601.

objectWriteTraceId
string

Un identifiant permettant de suivre la demande de création ou de mise à jour de l'objet.

propertiesWithHistory
object

Paires clé-valeur représentant les propriétés de l'objet avec leur historique.

url
string

The URL associated with the object.

Last modified on February 12, 2026